libwpd: _WP6ParsingState Struct Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# _WP6ParsingState Struct Reference

`#include <WP6ContentListener.h>`

List of all members.

## Public Member Functions
| _WP6ParsingState (WPXTableList tableList, int nextTableIndice=0)
| ~_WP6ParsingState ()
## Public Attributes
WPXString | m_bodyText
WPXString | m_textBeforeNumber
WPXString | m_textBeforeDisplayReference
WPXString | m_numberText
WPXString | m_textAfterDisplayReference
WPXString | m_textAfterNumber
float | m_paragraphMarginBottomRelative
float | m_paragraphMarginBottomAbsolute
int | m_numRemovedParagraphBreaks
int | m_numListExtraTabs
bool | m_isListReference
WPXTableList | m_tableList
WPXTable * | m_currentTable
int | m_nextTableIndice
std::stack< int > | m_listLevelStack
std::stack< WP6ListType > | m_listTypeStack
uint16_t | m_currentOutlineHash
uint8_t | m_oldListLevel
WP6StyleStateSequence | m_styleStateSequence
bool | m_putativeListElementHasParagraphNumber
bool | m_putativeListElementHasDisplayReferenceNumber
int | m_noteTextPID
uint16_t | m_leaderCharacter
uint8_t | m_leaderNumSpaces
std::vector< WPXTabStop > | m_tempTabStops
std::vector< bool > | m_tempUsePreWP9LeaderMethod

## Constructor & Destructor Documentation

_WP6ParsingState::_WP6ParsingState | ( | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |

_WP6ParsingState::~_WP6ParsingState | ( |  | ) |

## Member Data Documentation

WPXString _WP6ParsingState::m_bodyText

uint16_t _WP6ParsingState::m_currentOutlineHash

WPXTable* _WP6ParsingState::m_currentTable

bool _WP6ParsingState::m_isListReference

uint16_t _WP6ParsingState::m_leaderCharacter

uint8_t _WP6ParsingState::m_leaderNumSpaces

std::stack<int> _WP6ParsingState::m_listLevelStack

std::stack<WP6ListType> _WP6ParsingState::m_listTypeStack

int _WP6ParsingState::m_nextTableIndice

int _WP6ParsingState::m_noteTextPID

WPXString _WP6ParsingState::m_numberText

int _WP6ParsingState::m_numListExtraTabs

int _WP6ParsingState::m_numRemovedParagraphBreaks

uint8_t _WP6ParsingState::m_oldListLevel

float _WP6ParsingState::m_paragraphMarginBottomAbsolute

float _WP6ParsingState::m_paragraphMarginBottomRelative

bool _WP6ParsingState::m_putativeListElementHasDisplayReferenceNumber

bool _WP6ParsingState::m_putativeListElementHasParagraphNumber

WP6StyleStateSequence _WP6ParsingState::m_styleStateSequence

WPXTableList _WP6ParsingState::m_tableList

std::vector<WPXTabStop> _WP6ParsingState::m_tempTabStops

std::vector<bool> _WP6ParsingState::m_tempUsePreWP9LeaderMethod

WPXString _WP6ParsingState::m_textAfterDisplayReference

WPXString _WP6ParsingState::m_textAfterNumber

WPXString _WP6ParsingState::m_textBeforeDisplayReference

WPXString _WP6ParsingState::m_textBeforeNumber

The documentation for this struct was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp